=== tests/CMakeLists.txt ===
ENABLE_TESTING()
add_subdirectory(glwin)
add_subdirectory(vtkfiltering)
add_subdirectory(curvefit)
add_subdirectory(flow)
add_subdirectory(variables)
add_subdirectory(random)
add_subdirectory(num)
add_subdirectory(transforms)
add_subdirectory(io)
add_subdirectory(elementary)
add_subdirectory(array)
add_subdirectory(vtkio)
add_subdirectory(binary)
add_subdirectory(functions)
add_subdirectory(typecast)
add_subdirectory(vtkcommon)
add_subdirectory(introduction)
add_subdirectory(vtkimaging)
add_subdirectory(vtkviews)
add_subdirectory(function)
add_subdirectory(handle)
add_subdirectory(string)
add_subdirectory(vtkgraphics)
add_subdirectory(operators)
add_subdirectory(vtkrendering)
add_subdirectory(vtkhybrid)
add_subdirectory(external)
add_subdirectory(freemat)
add_subdirectory(class)
add_subdirectory(constants)
add_subdirectory(vtkinfovis)
add_subdirectory(thread)
add_subdirectory(inspection)
add_subdirectory(signal)
add_subdirectory(vtkparallel)
add_subdirectory(mathfunctions)
add_subdirectory(vtkwidgets)
add_subdirectory(vtkvolumerendering)
add_subdirectory(sparse)
add_subdirectory(vtkgeovis)
add_subdirectory(debug)
add_subdirectory(os)
add_subdirectory(jit)
add_subdirectory(itk)
