=== libs/libMath/CMakeLists.txt ===
ADD_SUBDIRECTORY(libLAPACK_C)
ADD_SUBDIRECTORY(libDynBlas)
ADD_SUBDIRECTORY(libBLAS_C)
