=== tests/array/CMakeLists.txt ===
ENABLE_TESTING()
ADD_TEST(wbtest_transpose_1 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wb_test('@$exact#y1=transpose(x1)','wbtest_transpose_1','${CMAKE_SOURCE_DIR}/tests/reference')")
ADD_TEST(wbtest_expm_1 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wb_test('@$near#y1=expm(x1)#(any(loopi==[50:51]))','wbtest_expm_1','${CMAKE_SOURCE_DIR}/tests/reference')")
ADD_TEST(wbtest_rref_1 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wb_test('@$near#y1=rref(x1)','wbtest_rref_1','${CMAKE_SOURCE_DIR}/tests/reference')")
ADD_TEST(wbtest_rref_2 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wb_test('@$near#[y1,y2]=rref(x1)','wbtest_rref_2','${CMAKE_SOURCE_DIR}/tests/reference')")
ADD_TEST(wbtest_rref_3 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wb_test('@$near#[y1,y2]=rref(x1,.0001)#(any(loopi==[15,62]))','wbtest_rref_3','${CMAKE_SOURCE_DIR}/tests/reference')")
ADD_TEST(wbtest_norm_1 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wb_test('@$near#y1=norm(x1)#(any(loopi==[50:51]))','wbtest_norm_1','${CMAKE_SOURCE_DIR}/tests/reference')")
ADD_TEST(wbtest_norm_2 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wb_test('@$near#y1=norm(x1,1)','wbtest_norm_2','${CMAKE_SOURCE_DIR}/tests/reference')")
ADD_TEST(wbtest_norm_3 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wb_test('@$near#y1=norm(x1,2)#(any(loopi==[50:51]))','wbtest_norm_3','${CMAKE_SOURCE_DIR}/tests/reference')")
ADD_TEST(wbtest_norm_4 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wb_test('@$near#y1=norm(x1,7)','wbtest_norm_4','${CMAKE_SOURCE_DIR}/tests/reference')")
ADD_TEST(wbtest_norm_5 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wb_test('@$near#y1=norm(x1,inf)','wbtest_norm_5','${CMAKE_SOURCE_DIR}/tests/reference')")
ADD_TEST(wbtest_norm_6 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wb_test('@$near#y1=norm(x1,-inf)','wbtest_norm_6','${CMAKE_SOURCE_DIR}/tests/reference')")
ADD_TEST(wbtest_rank_1 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wb_test('@$near#y1=rank(x1)','wbtest_rank_1','${CMAKE_SOURCE_DIR}/tests/reference')")
ADD_TEST(wbtest_rank_2 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wb_test('@$near#y1=rank(x1,.0001)','wbtest_rank_2','${CMAKE_SOURCE_DIR}/tests/reference')")
ADD_TEST(test_det1 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wrap_test('test_det1')")
ADD_TEST(wbtest_det_1 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wb_test('@$near#y1=det(x1)','wbtest_det_1','${CMAKE_SOURCE_DIR}/tests/reference')")
ADD_TEST(wbtest_cond_1 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wb_test('@$near#y1=cond(x1)','wbtest_cond_1','${CMAKE_SOURCE_DIR}/tests/reference')")
ADD_TEST(wbtest_eye_1 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wb_test('@$exact#y1=eye(3)','wbtest_eye_1','${CMAKE_SOURCE_DIR}/tests/reference')")
ADD_TEST(wbtest_eye_2 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wb_test('@$exact#y1=eye(300)','wbtest_eye_2','${CMAKE_SOURCE_DIR}/tests/reference')")
ADD_TEST(wbtest_pinv_1 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wb_test('@$near#y1=pinv(x1)','wbtest_pinv_1','${CMAKE_SOURCE_DIR}/tests/reference')")
ADD_TEST(test_isfloat1 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wrap_test('test_isfloat1')")
ADD_TEST(wbtest_nonzeros_1 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wb_test('@$exact#y1=nonzeros(x1)','wbtest_nonzeros_1','${CMAKE_SOURCE_DIR}/tests/reference')")
ADD_TEST(wbtest_ndgrid_1 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wb_test('@$exact#[y1,y2] = ndgrid(1:2,3:5)','wbtest_ndgrid_1','${CMAKE_SOURCE_DIR}/tests/reference')")
ADD_TEST(wbtest_ndgrid_2 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wb_test('@$exact#[y1,y2,y3] = ndgrid(1:2,3:5,0:1)','wbtest_ndgrid_2','${CMAKE_SOURCE_DIR}/tests/reference')")
ADD_TEST(wbtest_ndgrid_3 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wb_test('@$exact#[y1,y2,y3] = ndgrid(1:3)','wbtest_ndgrid_3','${CMAKE_SOURCE_DIR}/tests/reference')")
ADD_TEST(wbtest_logspace_1 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wb_test('@$near#y1=logspace(1,2)','wbtest_logspace_1','${CMAKE_SOURCE_DIR}/tests/reference')")
ADD_TEST(wbtest_logspace_2 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wb_test('@$near#y1=logspace(1,2,3)','wbtest_logspace_2','${CMAKE_SOURCE_DIR}/tests/reference')")
ADD_TEST(wbtest_logspace_3 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wb_test('@$near#y1=logspace(0,pi,3)','wbtest_logspace_3','${CMAKE_SOURCE_DIR}/tests/reference')")
ADD_TEST(wbtest_squeeze_1 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wb_test('@$exact#y1=squeeze(x1)','wbtest_squeeze_1','${CMAKE_SOURCE_DIR}/tests/reference')")
ADD_TEST(wbtest_flipud_1 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wb_test('@$exact#y1=flipud(x1)','wbtest_flipud_1','${CMAKE_SOURCE_DIR}/tests/reference')")
ADD_TEST(test_isinteger1 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wrap_test('test_isinteger1')")
ADD_TEST(wbtest_linspace_1 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wb_test('@$exact#z=linspace(0,60000,60001);y1=z(end)','wbtest_linspace_1','${CMAKE_SOURCE_DIR}/tests/reference')")
ADD_TEST(wbtest_linspace_2 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wb_test('@$exact#y1=linspace(0,1)','wbtest_linspace_2','${CMAKE_SOURCE_DIR}/tests/reference')")
ADD_TEST(wbtest_linspace_3 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wb_test('@$exact#y1=linspace(1,91,91)','wbtest_linspace_3','${CMAKE_SOURCE_DIR}/tests/reference')")
ADD_TEST(wbtest_fliplr_1 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wb_test('@$exact#y1=fliplr(x1)','wbtest_fliplr_1','${CMAKE_SOURCE_DIR}/tests/reference')")
ADD_TEST(wbtest_flipdim_1 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wb_test('@$exact#y1=flipdim(x1,1)','wbtest_flipdim_1','${CMAKE_SOURCE_DIR}/tests/reference')")
ADD_TEST(wbtest_flipdim_2 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wb_test('@$exact#y1=flipdim(x1,2)','wbtest_flipdim_2','${CMAKE_SOURCE_DIR}/tests/reference')")
ADD_TEST(wbtest_flipdim_3 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wb_test('@$exact#y1=flipdim(x1,3)','wbtest_flipdim_3','${CMAKE_SOURCE_DIR}/tests/reference')")
ADD_TEST(wbtest_meshgrid_1 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wb_test('@$near#[y1,y2] = meshgrid(-2:.4:2)','wbtest_meshgrid_1','${CMAKE_SOURCE_DIR}/tests/reference')")
ADD_TEST(wbtest_meshgrid_2 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wb_test('@$exact#[y1,y2] = meshgrid([1,2,3,4],[6,7,8])','wbtest_meshgrid_2','${CMAKE_SOURCE_DIR}/tests/reference')")
ADD_TEST(wbtest_ipermute_1 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wb_test('@$exact#y1=ipermute(x1,[2,1])','wbtest_ipermute_1','${CMAKE_SOURCE_DIR}/tests/reference')")
ADD_TEST(wbtest_ipermute_2 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wb_test('@$exact#y1=size(ipermute(permute(x1),[3,4,2,1]),[3,4,2,1])','wbtest_ipermute_2','${CMAKE_SOURCE_DIR}/tests/reference')")
ADD_TEST(wbtest_circshift_1 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wb_test('@$exact#y1=circshift(x1,[1,0])','wbtest_circshift_1','${CMAKE_SOURCE_DIR}/tests/reference')")
ADD_TEST(wbtest_circshift_2 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wb_test('@$exact#y1=circshift(x1,[0,-1])','wbtest_circshift_2','${CMAKE_SOURCE_DIR}/tests/reference')")
ADD_TEST(wbtest_circshift_3 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wb_test('@$exact#y1=circshift(x1,[2,2])','wbtest_circshift_3','${CMAKE_SOURCE_DIR}/tests/reference')")
ADD_TEST(wbtest_circshift_4 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wb_test('@$exact#y1=circshift(x1,[1,0,0])','wbtest_circshift_4','${CMAKE_SOURCE_DIR}/tests/reference')")
ADD_TEST(wbtest_circshift_5 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wb_test('@$exact#y1=circshift(x1,[0,-1,0])','wbtest_circshift_5','${CMAKE_SOURCE_DIR}/tests/reference')")
ADD_TEST(wbtest_circshift_6 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wb_test('@$exact#y1=circshift(x1,[0,0,-1])','wbtest_circshift_6','${CMAKE_SOURCE_DIR}/tests/reference')")
ADD_TEST(wbtest_circshift_7 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wb_test('@$exact#y1=circshift(x1,[2,-3,1])','wbtest_circshift_7','${CMAKE_SOURCE_DIR}/tests/reference')")
ADD_TEST(wbtest_shiftdim_1 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wb_test('@$exact#y1=shiftdim(x1,1)','wbtest_shiftdim_1','${CMAKE_SOURCE_DIR}/tests/reference')")
ADD_TEST(wbtest_shiftdim_2 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wb_test('@$exact#y1=shiftdim(x1,-1)','wbtest_shiftdim_2','${CMAKE_SOURCE_DIR}/tests/reference')")
ADD_TEST(wbtest_shiftdim_3 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wb_test('@$exact#[y1,y2]=shiftdim(x1)','wbtest_shiftdim_3','${CMAKE_SOURCE_DIR}/tests/reference')")
ADD_TEST(test_assign1 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wrap_test('test_assign1')")
ADD_TEST(test_assign2 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wrap_test('test_assign2')")
ADD_TEST(test_assign3 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wrap_test('test_assign3')")
ADD_TEST(test_assign4 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wrap_test('test_assign4')")
ADD_TEST(test_assign5 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wrap_test('test_assign5')")
ADD_TEST(test_assign6 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wrap_test('test_assign6')")
ADD_TEST(test_assign7 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wrap_test('test_assign7')")
ADD_TEST(test_assign8 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wrap_test('test_assign8')")
ADD_TEST(test_assign9 ${FreeMat_Loc} "-e" "-nogui" "-t" "-nogreet" "-p" "${CMAKE_SOURCE_DIR}/tests/array" "-f" "wrap_test('test_assign9')")
