=== debian/changelog ===
freemat (4.2+dfsg1-6) unstable; urgency=medium

  * [b63cedd] Remove myself from uploaders
  * [7064293] Remove Giuseppe from uploaders. (Closes: #866842)

 -- Anton Gladky <gladk@debian.org>  Fri, 02 Feb 2018 22:57:21 +0100

freemat (4.2+dfsg1-5) unstable; urgency=medium

  * Team upload
  * [f822a68] Disable tests, failing on mips*
  * [1cbe414] Bump standards-version 4.0.0

 -- Anton Gladky <gladk@debian.org>  Fri, 21 Jul 2017 21:43:06 +0200

freemat (4.2+dfsg1-5~exp1) experimental; urgency=medium

  [ Graham Inggs ]
  * [b26ea52] Enable build-time tests. (Closes: #863793)
  * [3a715a3] Enable autopkgtests
  * [e8c9c79] Skip build-time tests on s390x
  * [0b8cf01] Restore missing files, enable diff() and hist() tests.
              (Closes: #864364)
  * [7c38fbe] Fix version displayed in Help->About
  * [0bff2da] Disable update check
  * [f36da0e] Fix failure to start if ~/Private exists. (Closes: #863795)

  [ Anton Gladky ]
  * [bfbc168] Switch to compat-level 10.
  * [a6ae5a0] Enable maximal hardening.
  * [08fe1a7] Add xauth to build-depends.
  * [253b815] Replace XS-Autobuild by Testsuite in d/control.
  * [da56e36] Apply cme fix dpkg.

 -- Anton Gladky <gladk@debian.org>  Thu, 08 Jun 2017 20:52:33 +0200

freemat (4.2+dfsg1-4) unstable; urgency=medium

  [ Graham Inggs ]
  * [d62fa98] Fix Vcs-Git URI

  [ Anton Gladky ]
  * [51ba71b] Disable LLVM-support. (Closes: #863686)

 -- Anton Gladky <gladk@debian.org>  Tue, 30 May 2017 21:33:54 +0200

freemat (4.2+dfsg1-3) unstable; urgency=medium

  * Team upload
  * Rename 'FreeMat v4.0.conf' to 'FreeMat v4.2.conf'
  * Move '/etc/xdg/FreeMat/FreeMat v4.0.conf' to
    '/etc/xdg/FreeMat/FreeMat v4.2.conf' without triggering a dpkg
    question
  * Use freemat_small_mod_64.png as the icon instead of freemat-2.xpm
  * Use secure URI for Vcs-Git
  * Bump Standards-Version to 3.9.8, no changes

 -- Graham Inggs <ginggs@debian.org>  Sat, 08 Oct 2016 15:51:14 +0200

freemat (4.2+dfsg1-2) unstable; urgency=medium

  * Team upload

  [ Graham Inggs ]
  * debian/patches/fix-llvm-build.patch:
    - fix build failure with default llvm 3.8 (Closes: #833667)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 07 Oct 2016 10:01:50 +0200

freemat (4.2+dfsg1-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Anton Gladky <gladk@debian.org>  Tue, 05 Apr 2016 22:55:56 +0200

freemat (4.2+dfsg1-1~exp1) experimental; urgency=medium

  * [98fecdc] Update d/watch.
  * [9c8731a] Add Files-Excluded to d/copyright.
  * [21c1597] Use packaged jquery.js.
  * [9c7a3c2] Update list of BDs.
  * [af342be] Apply cme fix dpkg.
  * [5a783e5] Update, remove patches.
  * [d00130d] Update version in .install and rules.
  * [8b25b9d] Remove qtwebkit:disables help-menu functionality,
              needs to be ported to Qt5.
  * [361d37e] Remove menu-file.
  * [679b7f2] Update d/copyright.
  * [3804b3b] Imported Upstream version 4.2+dfsg1

 -- Anton Gladky <gladk@debian.org>  Tue, 26 Jan 2016 10:16:18 +0100
