=== debian/tests/control ===
Tests: testsuite
Restrictions: allow-stderr
Depends: freemat, @builddeps@
