=== debian/watch ===
version=3
opts=repacksuffix=+dfsg1,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb|-dfsg)\d*$// \
http://sf.net/freemat/FreeMat-(\d\S*)-Source\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
